Module java.desktop
Package javax.swing.plaf.basic

## Class BasicListUI.ListDataHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.ListDataHandler

All Implemented Interfaces:
  EventListener, ListDataListener

Enclosing class:
  BasicListUI

    public class BasicListUI.ListDataHandler
    extends Object
    implements ListDataListener

The `ListDataListener` that's added to the `JLists` model at `installUI time`, and whenever the JList.model property changes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `JList.getModel()`, `BasicListUI.maybeUpdateLayoutState()`, `BasicListUI.createListDataListener()`, `BasicListUI.installUI(javax.swing.JComponent)`

### Constructor Summary

Constructors
Constructor and Description
`ListDataHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListDataHandler

    public ListDataHandler()

### Method Detail

#### intervalAdded

    public void intervalAdded(ListDataEvent e)

Description copied from interface: `ListDataListener`
Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.

Specified by:
  `intervalAdded` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

#### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

Description copied from interface: `ListDataListener`
Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.

Specified by:
  `intervalRemoved` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

#### contentsChanged

    public void contentsChanged(ListDataEvent e)

Description copied from interface: `ListDataListener`
Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.

Specified by:
  `contentsChanged` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information